net.dontdrinkandroot.lastfm.api.model

## Class Session

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Session

All Implemented Interfaces:
  Serializable

    public class Session
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Session(Element root)` Create a Session from a dom4j Element.
`Session(String username, String key, boolean subscriber)`

### Method Summary

Methods
`String` `getKey()`
`Boolean` `getSubscriber()`
`String` `getUsername()`
`boolean` `isSubscriber()`
`void` `setKey(String key)`
`void` `setSubscriber(Boolean subscriber)`
`void` `setUsername(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Session

    public Session(Element root)

Create a Session from a dom4j Element.

Parameters:
  `root` - The dom4j Element to create the Session object from.

#### Session

    public Session(String username,
           String key,
           boolean subscriber)

### Method Detail

#### getUsername

    public final String getUsername()

#### setUsername

    public final void setUsername(String username)

#### getKey

    public final String getKey()

#### setKey

    public final void setKey(String key)

#### getSubscriber

    public final Boolean getSubscriber()

#### setSubscriber

    public final void setSubscriber(Boolean subscriber)

#### isSubscriber

    public final boolean isSubscriber()